Subject: Re: [Idr] AS_SET versus AS_PATH

From: "john smith" <[email-masked]>
Date: Wed, 20 Oct 2004 19:03:37 +0000

so arc lengths can be negative/or the metric can decrement...?

It may/maynot lead to oscillations, but it could cause convergence issues?

>From: Tony Li <[email-masked]>
>To: "john smith" <[email-masked]>
>CC: [email-masked]
>Subject: Re: [Idr] AS_SET versus AS_PATH
>Date: Mon, 18 Oct 2004 11:52:26 -0700
>
>
>The primary purpose of the AS_PATH is loop prevention.
>
>Tony
>
>
>On Oct 18, 2004, at 10:48 AM, john smith wrote:
>
>>Hi,
>>
>>as far as I can understand, AS_PATH serves 2 purposes,
>>a. it helps identify the source of the prefix
>>
>>b. it helps in fast convergence, (another alternative would be to use AS 
>>and IP or originating router as the source of the route and use withdrawn 
>>route + updates marking the NLRI), in other words, each unique upate could 
>>consist of AS+IPv4(of originating router)+NLRI and they could be 
>>specifically updated and withdrawn.
>>
>>Is my understanding correct?
>>
>>However, after going through draft-bhatia-ecmp and boucing it with some 
>>people, I had a question:
>>
>>we retain the AS_PATH via the newly ordered AS_SET, which IMO has to be 
>>done for all AS_SET cases as we would loose path length, and hence this 
>>would sort of amount to a "negative arc length" when a peer propogates an 
>>AS_SET reducing the size of the AS_PATH. This could be a potential source 
>>of loops.
>>
>>Would appreciate if someone could share information on specific cases 
>>where AS_SET has been used without retaining path length.
>>
>>-john
>>
>>_________________________________________________________________
>>FREE pop-up blocking with the new MSN Toolbar - get it now! 
>>http://toolbar.msn.com/
>>
>>
>>_______________________________________________
>>Idr mailing list
>>[email-masked]
>>https://www1.ietf.org/mailman/listinfo/idr
>>
>

_________________________________________________________________
Express yourself instantly with MSN Messenger! Download today it's FREE! 
http://messenger.msn.com/

_______________________________________________
Idr mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/idr

---

From: Curtis Villamizar <[email-masked]>
Date: Thu, 21 Oct 2004 11:43:15 -0400

> It may/maynot lead to oscillations, but it could cause convergence issues?

John,

Tony's statement is 100% accurate.  Please go back and reread the
parts of the BGP spec that deal with AS path and loop prevention.

Search for the word loop in the spec.

   If the AS_PATH attribute of a BGP route contains an AS loop, the BGP
   route should be excluded from the Phase 2 decision function.  AS loop
   detection is done by scanning the full AS path (as specified in the
   AS_PATH attribute), and checking that the autonomous system number of
   the local system does not appear in the AS path.  Operations of a BGP
   speaker that is configured to accept routes with its own autonomous
   system number in the AS path are outside the scope of this document.

Regarding AS_SET and loop avoidance.

      An AS_SET implies that the destinations listed in the NLRI can be
      reached through paths that traverse at least some of the con-
      stituent autonomous systems. AS_SETs provide sufficient informa-
      tion to avoid routing information looping; however their use may
      prune potentially feasible paths, since such paths are no longer
      listed individually as in the form of AS_SEQUENCEs. In practice
      this is not likely to be a problem, since once an IP packet
      arrives at the edge of a group of autonomous systems, the BGP
      speaker at that point is likely to have more detailed path infor-
      mation and can distinguish individual paths to destinations.

I hope that answers your questions.  This was rather easy to find, so
in the future could you please look at the BGP spec before posting a
question about BGP basics.

Curtis